# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 0
%endif

%bcond_with examples

# Versioning

%define qtmajor 6
%define qtminor 4
%define qtsubminor 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 3

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qt5compat-everywhere-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libcore5compat   %mklibname qt%{qtmajor}core5compat %{qtmajor}
%define libcore5compat_d %mklibname qt%{qtmajor}core5compat -d

Name:           qt5compat6
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt 5.x compatibility library for Qt %{qtmajor}
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
## Branch Patchs

## Trunk Patchs

## Patch from Mageia

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  qtbase6-qtpaths

BuildRequires:  cmake(Qt6Core) >= %{version}
BuildRequires:  cmake(Qt6Gui) >= %{version}
BuildRequires:  cmake(Qt6Network) >= %{version}
BuildRequires:  cmake(Qt6Qml) >= %{version}
BuildRequires:  cmake(Qt6Quick) >= %{version}
BuildRequires:  cmake(Qt6ShaderTools) >= %{version}
BuildRequires:  cmake(Qt6Widgets) >= %{version}
BuildRequires:  cmake(Qt6Xml) >= %{version}
%if %{with examples}
BuildRequires:  cmake(Qt6Core5Compat)
%endif
BuildRequires:  pkgconfig(icu-uc)

Provides:       qt%{qtmajor}-qt5compat = %{version}-%{release}

%description
Qt 5.x compatibility library for Qt %{qtmajor}.

%files
%license LICENSES/*
%dir %{_qt6_qmldir}/Qt5Compat/
%{_qt6_qmldir}/Qt5Compat/GraphicalEffects/

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtCore5Compat%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools6
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools6-assistant
Recommends:     qttools6-assistant

%description doc
Documentation for APIs and tools in QtCore5Compat%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt6_docdir}/qtcore5compat.qch
%{_qt6_docdir}/qtcore5compat/
%endif

#------------------------------------------------------------------------------

%package -n     %{libcore5compat}
Summary:        Qt 5.x compatibility library for Qt %{qtmajor}
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %{libcore5compat}
Qt 5.x compatibility library for Qt %{qtmajor}.

%files -n %{libcore5compat}
%license LICENSES/*
%{_qt6_libdir}/libQt6Core5Compat.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libcore5compat_d}
Summary:        Devel files needed to build apps based on QtCore5Compat
Group:          Development/KDE and Qt
Requires:       %{libcore5compat} = %{version}
Provides:       libqt6core5compat-devel = %{version}
Provides:       libqtcore5compat6-devel = %{version}
Provides:       qt6core5compat-devel = %{version}
Provides:       qtcore5compat6-devel = %{version}
Provides:       qt%{qtmajor}-qt5compat-devel = %{version}-%{release}

%description -n %{libcore5compat_d}
Devel files needed to build apps based on the Qt 5.x compatibility
library for Qt %{qtmajor}.

%files -n %{libcore5compat_d}
%{_qt6_includedir}/QtCore5Compat/
%{_qt6_libdir}/libQt6Core5Compat.so
%{_qt6_libdir}/libQt6Core5Compat.prl
%{_qt6_libdir}/cmake/Qt6Core5Compat/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_core5compat.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_core5compat_private.pri
%{_qt6_datadir}/modules/Core5Compat.json
%{_qt6_libdir}/metatypes/qt6core5compat_relwithdebinfo_metatypes.json
%{_qt6_libdir}/pkgconfig/Qt6Core5Compat.pc
%if %{with examples}
%{_qt6_examplesdir}/core5/
%endif
#
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/*.cmake
%{_qt6_libdir}/cmake/Qt6/FindWrapIconv.cmake
#
%{_qt6_libdir}/cmake/Qt6Qml/QmlPlugins/*.cmake

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n qt5compat-everywhere-src-%{qtversion}

%build
%cmake_qt6 %{!?with_examples:-DQT_BUILD_EXAMPLES:BOOL=OFF}
%cmake_build

%if %{build_docs}
%__make docs
%endif

%install
%cmake_install

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete


%changelog
* Sun Jan 08 2023 daviddavid <daviddavid> 6.4.1-3.mga9
+ Revision: 1931365
- build examples
+ squidf <squidf>
- Mass rebuild for icu 72.1

* Thu Dec 15 2022 neoclust <neoclust> 6.4.1-1.mga9
+ Revision: 1923036
- New version 6.4.1

* Tue Oct 04 2022 neoclust <neoclust> 6.4.0-1.mga9
+ Revision: 1894783
- New version 6.4.0

* Wed Sep 14 2022 wally <wally> 6.3.1-2.mga9
+ Revision: 1888224
- pkg Qt5Compat.GraphicalEffects
+ neoclust <neoclust>
- New version 6.3.1

* Fri Jul 29 2022 squidf <squidf> 6.3.0-1.mga9
+ Revision: 1872831
- rebuild for icu 71.1
+ neoclust <neoclust>
- New version 6.3.0

* Tue Apr 05 2022 umeabot <umeabot> 6.2.3-2.mga9
+ Revision: 1844652
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 neoclust <neoclust> 6.2.3-1.mga9
+ Revision: 1781907
- New version 6.2.3

* Sun Nov 14 2021 neoclust <neoclust> 6.2.1-1.mga9
+ Revision: 1756244
- New version 6.2.1

* Fri Nov 12 2021 neoclust <neoclust> 6.2.0-1.mga9
+ Revision: 1755997
- New version 6.2.0

* Sat May 15 2021 daviddavid <daviddavid> 6.1.0-1.mga9
+ Revision: 1723674
- initial package qt5compat6

